Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.AWXML
Class ExternalSourceExpression

    java.lang.Object
      |
      +--oracle.AWXML.BaseObject
            |
            +--oracle.AWXML.ExternalSourceExpression

Direct Known Subclasses:
  AttributeSourceExpression, HierarchicalParentSourceExpression, RestrictedSourceExpression

public class ExternalSourceExpression
extends BaseObject

The column mapping for an `AWObject`. The mapping expression specifies the relational columns that contain the source data for the `AWObject`. The subclasses of `ExternalSourceExpression` specify mappings for different types of `AWObject` objects.

See Also:
  `RestrictedSourceExpression`, `MappingGroup`

Fields inherited from class oracle.AWXML.BaseObject
`DATABASENULL`

Constructor Summary
`ExternalSourceExpression(BaseObject input)` Creates an `ExternalSourceExpression` for the specified `MappingGroup`.

Method Summary
`void` | `addSourceColumn(SourceColumn input)` Adds the specified `SourceColumn` to the `ExternalSourceExpression`.
`SourceColumn` | `CreateSourceColumn()` Creates a `SourceColumn` for the `ExternalSourceExpression`.
`java.util.Vector` | `getSourceColumns()` Gets a list of the `SourceColumn` objects owned by the `ExternalSourceExpression`.
`BaseObject` | `getTargetObject()` Gets the `AWObject` to which the source data is mapped.
`void` | `removeSourceColumn(SourceColumn input)` Removes the specified `SourceColumn` from the `ExternalSourceExpression`.
`void` | `setTargetObject(BaseObject input)` Specifies the `AWObject` to which the source data is mapped.
`java.lang.String` | `WriteToXML()` Gets an XML representation of the `ExternalSourceExpression`.

Methods inherited from class oracle.AWXML.BaseObject
`Alter, Create, CreateAfter, CreateBefore, CreateFirst, DataRead, Delete, getColumnName, getId, getLongName, getLongName, getName, getOwner, getPluralName, getPluralName, getSchema, getShortName, getShortName, setColumnName, setLongName, setLongName, setName, setPluralName, setPluralName, setSchema, setShortName, setShortName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalSourceExpression

    public ExternalSourceExpression(BaseObject input)

  Creates an `ExternalSourceExpression` for the specified `MappingGroup`.
  Parameters:
    `input` - The `MappingGroup` that you want to own the `ExternalSourceExpression`.

Method Detail

### WriteToXML

    public java.lang.String WriteToXML()

  Gets an XML representation of the `ExternalSourceExpression`.
  Overrides:
    WriteToXML in class BaseObject
  Returns:
    An XML `String` that represents the `ExternalSourceExpression`.

### addSourceColumn

    public void addSourceColumn(SourceColumn input)

  Adds the specified `SourceColumn` to the `ExternalSourceExpression`.
  Parameters:
    `input` - The `SourceColumn` to add.

### removeSourceColumn

    public void removeSourceColumn(SourceColumn input)

  Removes the specified `SourceColumn` from the `ExternalSourceExpression`.
  Parameters:
    `input` - The `SourceColumn` to remove.

### getSourceColumns

    public java.util.Vector getSourceColumns()

  Gets a list of the `SourceColumn` objects owned by the `ExternalSourceExpression`.
  Returns:
    A `Vector` of the `SourceColumn` objects owned by the `ExternalSourceExpression`.

### setTargetObject

    public void setTargetObject(BaseObject input)

  Specifies the `AWObject` to which the source data is mapped.
  Parameters:
    `input` - The `AWObject` to which the source data is mapped.

### getTargetObject

    public BaseObject getTargetObject()

  Gets the `AWObject` to which the source data is mapped.
  Returns:
    The `AWObject` to which the source data is mapped.

### CreateSourceColumn

    public SourceColumn CreateSourceColumn()

  Creates a `SourceColumn` for the `ExternalSourceExpression`.
  Returns:
    The new `SourceColumn`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Analytic Workspace Java API Reference 10g Release 2 (10.2) B14351-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.